# $Revision: 1.14 $, $Date: 2004/12/01 17:51:36 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Calc-Units
Summary:	Math::Calc::Units - human-readable unit-aware calculator
Summary(pl):	Math::Calc::Units - kalkulator obsugujcy jednostki
Name:		perl-Math-Calc-Units
Version:	1.03
Release:	1
License:	GPL v2 or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a42e170a38e2b8c6ebea3edf0026183d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Calc::Units is a simple calculator that keeps track of units. It
currently handles combinations of byte sizes and duration only,
although adding any other multiplicative types is easy. Any unknown
type is treated as a unique user type (with some effort to map English
plurals to their singular forms).

The primary intended use is via the ucalc script that prints out all
of the "readable" variants of a value. For example, "3 bytes" will
only produce "3 byte", but "3 byte / sec" produces the original along
with "180 byte / minute", "10.55 kilobyte / hour", etc.

%description -l pl
Math::Calc::Units to prosty kalkulator zachowujcy jednostki.
Aktualnie obsuguje tylko kombinacje rozmiaru w bajtach i czasu, ale
dodanie dowolnych typw multiplikatywnych jest proste. Kady nieznany
typ jest traktowany jako unikalny typ uytkownika (z prb zamiany
angielskich form mnogich na pojedyncze).

Podstawowy sposb uycia to skrypt ucalc, wypisujcy wszystkie
"czytelne" warianty wartoci. Na przykad "3 bytes" daje tylko "3
byte", ale "3 byte / sec" daje warto oryginaln oraz "180 byte /
minute", "10.55 kilobyte / hour" itd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/Math/Calc/Units.pm
%{perl_vendorlib}/Math/Calc/Units
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Calc-Units.spec,v $
Revision 1.14  2004/12/01 17:51:36  radek
- autoupdated to 1.03

Revision 1.13  2004/11/03 22:30:33  paladine
- formatting

Revision 1.12  2004/06/05 18:10:44  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/06 18:20:38  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/20 23:59:36  ankry
- ported to new bconds

Revision 1.9  2004/04/14 21:16:31  ankry
- cosmetics, unification

Revision 1.8  2003/08/18 08:08:59  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:48  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:20:46  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:40:16  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:29  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/07 15:04:55  qboosh
- new

